# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR University of Padova, dept. of Pure and Applied Mathematics
# This file is distributed under the same license as the PACKAGE package.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
#, fuzzy
msgid ""
msgstr ""
"Project-Id-Version: sgpemv2 1.1\n"
"Report-Msgid-Bugs-To: matteo@member.fsf.org\n"
"POT-Creation-Date: 2009-01-12 23:10+0100\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=CHARSET\n"
"Content-Transfer-Encoding: 8bit\n"

#: src/gui_builder.cc:189 src/gui_builder.cc:314
msgid "Please choose a file"
msgstr ""

#: src/gui_builder.cc:208 src/gui_builder.cc:328
msgid "Any files"
msgstr ""

#: src/gui_builder.cc:220 src/gui_builder.cc:272 src/gui_builder.cc:347
msgid "File: "
msgstr ""

#: src/gui_builder.cc:220
msgid " loaded."
msgstr ""

#: src/gui_builder.cc:227 src/gui_builder.cc:277 src/gui_builder.cc:354
msgid ""
"<b>No serializer available.</b>\n"
"There's no registered serializer. Please check the loaded plugins."
msgstr ""

#: src/gui_builder.cc:230 src/gui_builder.cc:280 src/gui_builder.cc:357
msgid "ERROR: No registered serializer available"
msgstr ""

#: src/gui_builder.cc:236 src/gui_builder.cc:286 src/gui_builder.cc:363
#: src/text_simulation.cc:400 src/text_simulation.cc:406
#: src/text_simulation.cc:425 src/text_simulation.cc:491
#: src/text_simulation.cc:497 src/text_simulation.cc:516
#: src/text_simulation.cc:864 src/text_simulation.cc:886
#: src/text_simulation.cc:1602 src/text_simulation.cc:1639
msgid "ERROR: "
msgstr ""

#: src/gui_builder.cc:272 src/gui_builder.cc:347
msgid " saved."
msgstr ""

#: src/gui_builder.cc:387 src/gui_builder.cc:415
msgid ""
"<b>No CPU policy is currently selected.</b>\n"
"Please choose one before trying to configure it."
msgstr ""

#: src/gui_builder.cc:393 src/gui_builder.cc:422
msgid "Configuring CPU Policy "
msgstr ""

#: src/gui_builder.cc:481
msgid "Selected CPU policy "
msgstr ""

#: src/gui_builder.cc:489
msgid "<b>Impossible to select this CPU Policy.</b>\n"
msgstr ""

#: src/gui_builder.cc:495
msgid "No CPU policy selected. Please select one."
msgstr ""

#: src/gui_builder.cc:543
msgid "Current resource policy deselected."
msgstr ""

#: src/gui_builder.cc:545
msgid "Selected resource policy "
msgstr ""

#: src/gui_builder.cc:578
msgid ""
"<b>Want to save?</b>\n"
"You'll lose your changes if you don't."
msgstr ""

#: src/parse_opts.cc:69
msgid "starts the program in command line mode"
msgstr ""

#: src/parse_opts.cc:70
msgid "adds this directory to the default modules search path"
msgstr ""

#: src/parse_opts.cc:71
msgid "adds this directory to default plugin search path"
msgstr ""

#: src/parse_opts.cc:72
msgid "a list of savefiles; only the first will be opened"
msgstr ""

#: src/parse_opts.cc:92
msgid ""
"SGPEMv2, a graphical simulator for process scheduling in a multitasking "
"computer"
msgstr ""

#: src/parse_opts.cc:113
msgid "Error while loading preferences"
msgstr ""

#: src/parse_opts.cc:143
msgid ""
" [II] To see a list of commands available,\n"
" [II] please type \"help\" and hit the ENTER key."
msgstr ""

#: src/parse_opts.cc:168
msgid "Bad invocation: "
msgstr ""

#: src/parse_opts.cc:169
msgid "Use the `-?' or `--help' option to see the help"
msgstr ""

#: src/ready_queue_widget.cc:37
msgid "<b>Ready queue: { </b>"
msgstr ""

#: src/ready_queue_widget.cc:38
msgid "<b> } at instant </b>"
msgstr ""

#: src/simulation_controller.cc:198 src/jump_to_dialog.cc:105
msgid "<b>The selected user CPU policy stopped before returning:</b>\n"
msgstr ""

#: src/simulation_controller.cc:205 src/jump_to_dialog.cc:112
msgid ""
"<b>The selected user CPU policy was malformed and failed to sort the queue:</"
"b>\n"
msgstr ""

#: src/simulation_controller.cc:217 src/jump_to_dialog.cc:124
msgid " [EE] Fatal error. Impossible to deactivate the policy in "
msgstr ""

#: src/simulation_controller.cc:218 src/jump_to_dialog.cc:125
msgid " [EE] "
msgstr ""

#: src/simulation_controller.cc:225 src/jump_to_dialog.cc:131
msgid "<b>No active policy selected:</b>\n"
msgstr ""

#: src/simulation_controller.cc:232 src/jump_to_dialog.cc:138
msgid "<b>Unexpected error</b>:\n"
msgstr ""

#: src/add_request_dialog.cc:94
msgid "key"
msgstr ""

#: src/add_request_dialog.cc:95
msgid "resource"
msgstr ""

#: src/add_request_dialog.cc:96 src/text_simulation.cc:1330
msgid "duration"
msgstr ""

#: src/graphical_preferences_editor.cc:304
#: src/graphical_preferences_editor.cc:354
msgid "Select a directory to add"
msgstr ""

#: src/backend/global_preferences.cc:92
msgid "Unable to obtain Application Data directory"
msgstr ""

#: src/backend/concrete_history.cc:402
msgid "History::add_thread() : Parent process not part of this History"
msgstr ""

#: src/backend/concrete_history.cc:438
msgid "History::add_request() : Parent process not part of this History"
msgstr ""

#: src/backend/concrete_history.cc:440
msgid "History::add_request() : Parent thread not part of this History"
msgstr ""

#: src/backend/concrete_history.cc:473
msgid "History::add_subrequest() : Parent process not part of this History"
msgstr ""

#: src/backend/concrete_history.cc:475
msgid "History::add_subrequest() : Parent thread not part of this History"
msgstr ""

#: src/backend/concrete_history.cc:477
msgid "History::add_subrequest() : Parent request not part of this History"
msgstr ""

#: src/backend/concrete_simulation.cc:237
msgid "unable to change policy and to restore the previous: "
msgstr ""

#: src/backend/concrete_simulation.cc:243
msgid "unable to change policy: "
msgstr ""

#: src/backend/resource_policies_gatekeeper.cc:88
msgid "No active policy associated with this history is available."
msgstr ""

#: src/backend/string_utils.cc:62 src/backend/string_utils.cc:102
msgid "too few or too many tokens"
msgstr ""

#: src/backend/string_utils.cc:85
msgid "incorrect number format"
msgstr ""

#: src/backend/string_utils.cc:125
msgid "incorrect boolean"
msgstr ""

#: src/backend/resource_policy_lifo.cc:78
msgid ""
"A resource policy which allows a request to be immediately allocated if "
"there is enough space."
msgstr ""

#: src/backend/resource_policy_lifo.cc:84
msgid "Last In, First Out"
msgstr ""

#: src/schedulables_tree_widget.cc:64
msgid "Arrival"
msgstr ""

#: src/schedulables_tree_widget.cc:68
msgid "Entity"
msgstr ""

#: src/schedulables_tree_widget.cc:72
msgid "State"
msgstr ""

#: src/schedulables_tree_widget.cc:177
msgid "Add Process"
msgstr ""

#: src/schedulables_tree_widget.cc:180
msgid "Add Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:183
msgid "Add Request"
msgstr ""

#: src/schedulables_tree_widget.cc:186
msgid "Edit Process"
msgstr ""

#: src/schedulables_tree_widget.cc:189
msgid "Edit Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:192
msgid "Edit Request"
msgstr ""

#: src/schedulables_tree_widget.cc:195
msgid "Remove Process"
msgstr ""

#: src/schedulables_tree_widget.cc:198
msgid "Remove Thread"
msgstr ""

#: src/schedulables_tree_widget.cc:201
msgid "Remove Request"
msgstr ""

#: src/schedulables_tree_widget.cc:396
msgid "Main"
msgstr ""

#: src/schedulables_tree_widget.cc:596
msgid "<b>ERROR<b>"
msgstr ""

#: src/schedulables_tree_widget.cc:627
msgid "<big><b>ERROR<b></big>"
msgstr ""

#: src/schedulables_tree_widget.cc:645
msgid " ("
msgstr ""

#: src/schedulables_tree_widget.cc:646
msgid "/"
msgstr ""

#: src/schedulables_tree_widget.cc:647
msgid ", current priority: "
msgstr ""

#: src/schedulables_tree_widget.cc:662
msgid "request:"
msgstr ""

#: src/schedulables_tree_widget.cc:721
msgid "RUNNING"
msgstr ""

#: src/schedulables_tree_widget.cc:724 src/text_simulation.cc:1727
msgid "READY"
msgstr ""

#: src/schedulables_tree_widget.cc:727 src/text_simulation.cc:1730
msgid "BLOCKED"
msgstr ""

#: src/schedulables_tree_widget.cc:730 src/schedulables_tree_widget.cc:759
#: src/text_simulation.cc:1733 src/text_simulation.cc:1757
msgid "FUTURE"
msgstr ""

#: src/schedulables_tree_widget.cc:733 src/text_simulation.cc:1736
msgid "TERMINATED"
msgstr ""

#: src/schedulables_tree_widget.cc:736 src/schedulables_tree_widget.cc:765
msgid "@@@ ERROR @@@"
msgstr ""

#: src/schedulables_tree_widget.cc:750 src/text_simulation.cc:1754
msgid "ALLOCATED"
msgstr ""

#: src/schedulables_tree_widget.cc:753 src/text_simulation.cc:1763
msgid "ALLOCABLE"
msgstr ""

#: src/schedulables_tree_widget.cc:756 src/text_simulation.cc:1751
msgid "UNALLOCABLE"
msgstr ""

#: src/schedulables_tree_widget.cc:762 src/text_simulation.cc:1760
msgid "EXHAUSTED"
msgstr ""

#: src/simulation_widget.cc:140
msgid ""
"Nothing to see here... add some processes! Right-click on the Schedulables "
"view in this window."
msgstr ""

#: src/holt_container_window.cc:39
msgid "Holt Graph"
msgstr ""

#: src/text_simulation.cc:130
msgid "ERROR: this command requires at least "
msgstr ""

#: src/text_simulation.cc:130
msgid " arguments\n"
msgstr ""

#: src/text_simulation.cc:136
msgid "WARNING: some arguments will be ignored\n"
msgstr ""

#: src/text_simulation.cc:146
msgid ""
"WARNING: Simulation was not recently saved. If you continue some changes to "
"the simulation might be lost.\n"
msgstr ""

#: src/text_simulation.cc:152
msgid "Continue? [y/n] "
msgstr ""

#: src/text_simulation.cc:160
msgid "n"
msgstr ""

#: src/text_simulation.cc:162
msgid "y"
msgstr ""

#: src/text_simulation.cc:262
msgid "ERROR: Provided value is out of range\n"
msgstr ""

#: src/text_simulation.cc:268
msgid "ERROR: Please provide a valid numeric value\n"
msgstr ""

#: src/text_simulation.cc:277
msgid "ERROR: This is a mandatory attribute; you MUST provide a valid value!\n"
msgstr ""

#: src/text_simulation.cc:312 src/text_simulation.cc:361
msgid "ERROR: This is a mandatory atribute; you MUST provide a valid value!\n"
msgstr ""

#: src/text_simulation.cc:354
msgid "ERROR: Please provide a valid boolean value ('true' or 'false')\n"
msgstr ""

#: src/text_simulation.cc:402 src/text_simulation.cc:427
#: src/text_simulation.cc:493 src/text_simulation.cc:518
msgid ""
"\n"
"Simulation is now stopped\n"
msgstr ""

#: src/text_simulation.cc:408 src/text_simulation.cc:499
msgid ""
"\n"
"Simulation is now stopped, and the current policy will be deactivated\n"
msgstr ""

#: src/text_simulation.cc:418 src/text_simulation.cc:509
msgid "FATAL ERROR: unable to deactivate the policy: "
msgstr ""

#: src/text_simulation.cc:431 src/text_simulation.cc:522
msgid "UNKNOWN ERROR: "
msgstr ""

#: src/text_simulation.cc:466
msgid "ERROR: provided instant is out of range.\n"
msgstr ""

#: src/text_simulation.cc:474
msgid "ERROR: provided instant is not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:479
msgid "ERROR: the instant is not within range.\n"
msgstr ""

#: src/text_simulation.cc:557
msgid "Please provide a value for each attribute:\n"
msgstr ""

#: src/text_simulation.cc:558
msgid ""
"Mandatory arguments are marked with an asterisk (*)\n"
"\n"
msgstr ""

#: src/text_simulation.cc:561
msgid "Nothing to configure for this policy.\n"
msgstr ""

#: src/text_simulation.cc:564
msgid "Integer arguments:\n"
msgstr ""

#: src/text_simulation.cc:584
msgid ""
"\n"
"Floating-point arguments:\n"
msgstr ""

#: src/text_simulation.cc:600
msgid ""
"\n"
"String arguments:\n"
msgstr ""

#: src/text_simulation.cc:630
msgid "ERROR: No CPU policy actually selected for the simulation\n"
msgstr ""

#: src/text_simulation.cc:639
msgid "ERROR: No resource policy actually selected for the simulation\n"
msgstr ""

#: src/text_simulation.cc:644
msgid "ERROR: Nothing to configure for "
msgstr ""

#: src/text_simulation.cc:660
msgid ""
"Available commands:\n"
"RUN\n"
"STOP\n"
"PAUSE\n"
"CONFIGURE\n"
"HELP\n"
"GET\n"
"SET\n"
"SHOW\n"
"ADD\n"
"REMOVE\n"
"SAVE\n"
"LOAD\n"
"QUIT\n"
"\n"
"HELP followed by a command name shows help about it.\n"
"ex. `HELP RUN` shows help about the command RUN\n"
msgstr ""

#: src/text_simulation.cc:666
msgid ""
"-- RUN COMMAND --\n"
"Starts the simulation. It can be continuous or step-by-step depending on the "
"mode configured with SET CONTINUOUS (default=true).\n"
"\n"
"The output of RUN is a snapshot of the state of the simulation at each "
"instant.\n"
"The instant 0 represents the initial state, during which no process is "
"running. The scheduler activity begins at instant 1.\n"
msgstr ""

#: src/text_simulation.cc:675
msgid ""
"-- STOP COMMAND --\n"
"Stops the simulation. The next call to RUN will bring the simulation to the "
"first instant and start it.\n"
msgstr ""

#: src/text_simulation.cc:678
msgid ""
"-- PAUSE COMMAND --\n"
"Pauses the simulation. The next call to RUN will continue it.\n"
msgstr ""

#: src/text_simulation.cc:681
msgid ""
"-- JUMPTO COMMAND --\n"
"Pauses the simulation and jumps to the specified instant.\n"
msgstr ""

#: src/text_simulation.cc:683
msgid ""
"-- CONFIGURE COMMAND --\n"
"Configures a configurable entity.\n"
"\n"
"Syntax: CONFIGURE <entity>\n"
"\twhere <entity> may be cpu-policy or resource-policy.\n"
"This is currently the only way to control the behaviour of policies without "
"modifying their source code.\n"
msgstr ""

#: src/text_simulation.cc:689
msgid ""
"-- HELP COMMAND --\n"
"The help you're reading.\n"
msgstr ""

#: src/text_simulation.cc:691
msgid ""
"-- GET COMMAND --\n"
"Syntax: GET <attr_name>\n"
"\twhere <attr_name> may be simulation-tick or continuous.\n"
msgstr ""

#: src/text_simulation.cc:694
msgid ""
"-- SET COMMAND --\n"
"Syntax: SET <attr_name> [=] <value>\n"
"\twhere <attr_name> may be simulation-tick, continuous, cpu-policy or "
"resource-policy.\n"
msgstr ""

#: src/text_simulation.cc:697
msgid ""
"-- SHOW COMMAND --\n"
"Displays the name of the entities (if available) and other informations "
"prefixed by its numeric identifier.\n"
"\n"
"Syntax depends from entities being displayed:\n"
"`SHOW processes|resources|cpu-policies|resource-policies`\n"
"`SHOW threads <process_id>` with <process_id> being the numeric identifier "
"of the parent process\n"
"`SHOW requests <process_id> <thread_id>` with <thread_id> being the numeric "
"identifier of the thread child of process identified by <process_id>\n"
"`SHOW subrequests <process_id> <thread_id> <request_id>` where the numeric "
"ids follow the same logic of the previous commands\n"
"`SHOW statistics`\n"
msgstr ""

#: src/text_simulation.cc:709
msgid ""
"-- ADD COMMAND --\n"
"Adds an entity by using a questionary-like approach.\n"
"\n"
"Syntax depends from entity being added:\n"
"`ADD process|resource`\n"
"`ADD thread <process_id>` with <process_id> being the numeric identifier of "
"the parent process\n"
"`ADD request <process_id> <thread_id>` with <thread_id> being the numeric "
"identifier of the thread child of process identified by <process_id>\n"
"`ADD subrequest <process_id> <thread_id> <request_id>` where the numeric ids "
"follow the same logic of the previous commands\n"
msgstr ""

#: src/text_simulation.cc:719
msgid ""
"-- REMOVE COMMAND --\n"
"Removes an entity.\n"
"\n"
"Syntax depends from entity being removed:\n"
"`REMOVE process|resource <id>` where <id> is the process or resource "
"identifier\n"
"`REMOVE thread <process_id> <thread_id>` with <process_id> being the "
"identifier of the parent process, and <thread_id> the id of the thread to be "
"removed\n"
"`REMOVE request <process_id> <thread_id> <request_id>` where the numeric ids "
"follow the same logic of the previous commands\n"
"`REMOVE subrequest <process_id> <thread_id> <request_id> <subrequest_id>` "
"where the numeric ids follow the same logic of the previous commands\n"
msgstr ""

#: src/text_simulation.cc:729
msgid ""
"-- SAVE COMMAND --\n"
"Saves the simulation.\n"
"\n"
"Syntax: SAVE <filename>\n"
msgstr ""

#: src/text_simulation.cc:732
msgid ""
"-- LOAD COMMAND --\n"
"Loads the simulation.\n"
"\n"
"Syntax: LOAD <filename>\n"
msgstr ""

#: src/text_simulation.cc:735
msgid ""
"-- QUIT COMMAND --\n"
"Gently closes the program.\n"
msgstr ""

#: src/text_simulation.cc:737
msgid "ERROR: Sorry, no help available for this command.\n"
msgstr ""

#: src/text_simulation.cc:749
msgid ""
"\n"
"Bye.\n"
"\n"
msgstr ""

#: src/text_simulation.cc:776 src/text_simulation.cc:906
msgid "ERROR: invalid attribute name.\n"
msgstr ""

#: src/text_simulation.cc:844
msgid "ERROR: you must provide a valid unsigned integer value\n"
msgstr ""

#: src/text_simulation.cc:856
msgid " scheduling policy selected.\n"
msgstr ""

#: src/text_simulation.cc:860
msgid ""
"ERROR: invalid unsigned integer or not a valid scheduling policy index\n"
msgstr ""

#: src/text_simulation.cc:878
msgid " resource policy selected.\n"
msgstr ""

#: src/text_simulation.cc:882
msgid "ERROR: invalid unsigned integer or not a valid resource policy index\n"
msgstr ""

#: src/text_simulation.cc:902
msgid "ERROR: you must provide a valid boolean value ('true' or 'false')\n"
msgstr ""

#: src/text_simulation.cc:938 src/text_simulation.cc:1167
#: src/text_simulation.cc:1379
msgid "ERROR: invalid argument\n"
msgstr ""

#: src/text_simulation.cc:985
msgid "ERROR: provided process identifier is not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:990
msgid "ERROR: this process identifier does not belong to an existing process\n"
msgstr ""

#: src/text_simulation.cc:1021 src/text_simulation.cc:1059
#: src/text_simulation.cc:1225 src/text_simulation.cc:1274
#: src/text_simulation.cc:1320 src/text_simulation.cc:1403
#: src/text_simulation.cc:1440 src/text_simulation.cc:1476
#: src/text_simulation.cc:1516 src/text_simulation.cc:1559
msgid "ERROR: provided identifier(s) not a valid integer\n"
msgstr ""

#: src/text_simulation.cc:1026 src/text_simulation.cc:1064
#: src/text_simulation.cc:1230 src/text_simulation.cc:1279
#: src/text_simulation.cc:1325 src/text_simulation.cc:1408
#: src/text_simulation.cc:1445 src/text_simulation.cc:1481
#: src/text_simulation.cc:1521 src/text_simulation.cc:1564
msgid "ERROR: the identifier(s) do not belong to an existing entity\n"
msgstr ""

#: src/text_simulation.cc:1147
msgid "WARNING: Simulation is not stopped, it will be automatically stopped\n"
msgstr ""

#: src/text_simulation.cc:1177 src/text_simulation.cc:1195
#: src/text_simulation.cc:1234
msgid "name"
msgstr ""

#: src/text_simulation.cc:1178 src/text_simulation.cc:1236
msgid "arrival time"
msgstr ""

#: src/text_simulation.cc:1179 src/text_simulation.cc:1860
msgid "priority"
msgstr ""

#: src/text_simulation.cc:1196
msgid "places"
msgstr ""

#: src/text_simulation.cc:1235
msgid "cpu time"
msgstr ""

#: src/text_simulation.cc:1237
msgid "base priority"
msgstr ""

#: src/text_simulation.cc:1283
msgid "instant"
msgstr ""

#: src/text_simulation.cc:1329
msgid "resource key"
msgstr ""

#: src/text_simulation.cc:1339
msgid "ERROR: invalid resource identifier\n"
msgstr ""

#: src/text_simulation.cc:1361
msgid "WARNING: Simulation is not stopped, it will be automatically stopped"
msgstr ""

#: src/text_simulation.cc:1436
msgid "invalid resource id"
msgstr ""

#: src/text_simulation.cc:1598 src/text_simulation.cc:1635
msgid "ERROR: No registered serializer available\n"
msgstr ""

#: src/text_simulation.cc:1706
msgid "ERROR: command not supported\n"
msgstr ""

#: src/text_simulation.cc:1724
msgid ">> RUNNING <<"
msgstr ""

#: src/text_simulation.cc:1785
msgid "READY QUEUE: { "
msgstr ""

#: src/text_simulation.cc:1793
msgid " ~ "
msgstr ""

#: src/text_simulation.cc:1796
msgid "}"
msgstr ""

#: src/text_simulation.cc:1807
msgid "RESOURCES:"
msgstr ""

#: src/text_simulation.cc:1813
msgid ", with "
msgstr ""

#: src/text_simulation.cc:1814
msgid " places"
msgstr ""

#: src/text_simulation.cc:1819
msgid "queue: { "
msgstr ""

#: src/text_simulation.cc:1835
msgid " }"
msgstr ""

#: src/text_simulation.cc:1854
msgid "PROCESSES:"
msgstr ""

#: src/text_simulation.cc:1856
msgid "state"
msgstr ""

#: src/text_simulation.cc:1857
msgid "arrival"
msgstr ""

#: src/text_simulation.cc:1858
msgid "requiring"
msgstr ""

#: src/text_simulation.cc:1859
msgid "elapsed"
msgstr ""

#: src/text_simulation.cc:1861
msgid "resource_id"
msgstr ""

#: src/resources_widget.cc:65
msgid "resources"
msgstr ""

#: src/configure_policy_dialog.cc:61
msgid "Policy description"
msgstr ""

#: src/configure_policy_dialog.cc:74
msgid "Integer values"
msgstr ""

#: src/configure_policy_dialog.cc:92
msgid "Floating point values"
msgstr ""

#: src/configure_policy_dialog.cc:109
msgid "Alphanumerical values"
msgstr ""

#: src/configure_policy_dialog.cc:124
msgid "No options to configure for this policy"
msgstr ""
